apiVersion: v1
kind: PersistentVolume
metadata:
  name: gluster-default-volume 
  annotations:
    # 必须和数据卷 ID 一致
    pv.beta.kubernetes.io/gid: "10001" 
spec:
  capacity:
    storage: 2Gi 
  accessModes: 
    - ReadWriteMany
  glusterfs:
    endpoints: glusterfs-cluster
    # 必须与数据卷 name 一致
    path: oso-volume-001 
    readOnly: false
  persistentVolumeReclaimPolicy: Retain